%define version			0.3.1
%define release			1

Name: radiusclient
Summary:	Radiusclient is a framework and library for writing RADIUS clients.
Group:		Networking/Utilities
Version: %{version}
Release: %{release}
Copyright: Free, I think.  :)
Source: ftp://ftp.cityline.net/pub/radiusclient/radiusclient-%{version}.tar.gz
URL: http://www.cityline.net/~lf/radius/
Packager: Del <del@babel.com.au>
Prefix: /usr

%description
Radiusclient is a framework and library for writing RADIUS clients.
The distribution contains a flexible RADIUS aware login replacement,
a command line program to send RADIUS accounting records and a utility
to query the status of a (Merit) RADIUS server. All these programs
are based on a library which lets you develop your own RADIUS aware
application in less than 50 lines of C code. It is highly portable
and runs at least under Linux, a lot of BSD variants and Solaris. 

%package devel
Release: %{release}
Requires: radiusclient
Summary: radiusclient - Development header files and libraries
Group: Development/Libraries

%description devel
This package contains the development header files and libraries
necessary to develop RADIUS client applications.

%prep
%setup

%build
./configure --prefix=/usr
make

%install
# Make install
# make install prefix=$RBR
make install

%files
%attr(-, root, root) %doc doc/instop.html

%attr(644, root, root) /usr/etc/radiusclient/

%attr(755, root, root) /usr/sbin/login.radius
%attr(755, root, root) /usr/sbin/radacct
%attr(755, root, root) /usr/sbin/radexample
%attr(755, root, root) /usr/sbin/radlogin
%attr(755, root, root) /usr/sbin/radstatus

%attr(755, root, root) /usr/lib/libradiusclient.so.0.0.1
%attr(755, root, root) /usr/lib/libradiusclient.so.0
%attr(755, root, root) /usr/lib/libradiusclient.so
%attr(755, root, root) /usr/lib/libradiusclient.la

%files devel
%attr(755, root, root) /usr/include/radiusclient.h
%attr(755, root, root) /usr/lib/libradiusclient.a

%changelog

* Mon Aug 13 1999 Del <del@babel.com.au>

- Built the first RPM.
